Bug 57312 - groff can't output Japanese html
Summary: groff can't output Japanese html
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: groff (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-10 06:29 UTC by Jens Petersen
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-10 06:29:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2001-12-10 06:29:26 UTC
Description of Problem:
groff terminates with an error when trying to generate  Japanese html

Version-Release number of selected component (if applicable):
1.17.2-5

How Reproducible:
always

Steps to Reproduce:
1. gzip -dc /usr/share/man/ja/man1/ls.1.gz | LANG=ja_JP.eucJP groff -mandoc
-Thtml

Actual Results:
<standard input>:21: warning: can't break line
<standard input>:28: warning: can't break line
<standard input>:29: warning: can't break line
<standard input>:30: warning: can't break line
<standard input>:302: warning: can't break line
<standard input>:302: warning: can't break line
<standard input>:379: warning: can't break line
<standard input>:379: warning: can't break line
<standard input>:418: warning: can't break line
<standard input>:418: warning: can't break line
<standard input>:445: warning: can't break line
<standard input>:445: warning: can't break line
<standard input>:36: warning: can't break line
post-grohtml:/usr/share/groff/site-tmac/man.local:580:fatal error: need to
increase char_block::SIZE

Expected Results:
no error

Additional Information:
In C locale there is no error, but of course the output is garbage.

Comment 1 Florian La Roche 2002-11-18 15:45:53 UTC
Seems to work with 1.18.1-1

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.